#!/bin/tcsh -f
# -- Quickly calculate glow curves

set g =  /home/bassler/TLD/DECONVOLUTION/GNUPLOT/
set t = `pwd`    # convert the files in current dir

foreach i (`ls $1`)
    set j = `basename $i .dat`
    cp -v $i  $g{gc_current.dat.temp}
    cd $g
    # prepare data for gnuplot 
    octave --silent gnu_dataprep.m > gnu_data.dat.temp
    # initial deconvolution for parameterguesses
    octave --silent deconv_script.m > $j.par   # initial guesses
    cp $j.par gnutemp.par     # generate 1st parameterfile for gnuplot
    rm fit.log                # remove fit.log generated from last fitting
    gnuplot gnuplot_fit.gsh   # do the fitting
    grep -A 18 "Final set of parameters" fit.log > $j.gfit # store results
    mv $j.par $t

    # now make final fit with all parameters fixed except I
    # first generate new parameter file:
    grep -A 18 "Final set of parameters" fit.log | grep T | awk '{print " " $1 " " $2 " " $3 " # FIXED"}' > gnutemp2.par
    grep E gnutemp.par >> gnutemp2.par
    grep -A 18 "Final set of parameters" fit.log | grep I | awk '{print " " $1 " " $2 " " $3 }' >> gnutemp2.par
    
    mv gnutemp2.par gnutemp.par  # overwrite old parameterfile
    rm fit.log
    gnuplot gnuplot_fit.gsh   # redo the fitting with new parameterfile
    grep -A 10 "Final set of parameters" fit.log > $j.gfit2 # store results
    grep FIXED fit.log >> $j.gfit2
    mv $j.gfit2 $t 

    mv output.png $j.png  # store picture of fit result
    mv $j.png $t

    cp gnutemp.par $j.par2
    mv $j.par2 $t              # store final copy of second par file

    mv $j.gfit $t
    cd $t
    echo $i 
end
